aboutsummaryrefslogtreecommitdiff
path: root/tests/simple.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2007-12-30 23:59:10 +0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2007-12-30 23:59:10 +0000
commitb5ddcf58ad1283d462fd10935708f8b24bc05135 (patch)
treeec144ab302d4d2985637d921eb4d0452eb3adf9a /tests/simple.sh
parent59707975a39b0a444444df4eb6c2e6d19ff5e050 (diff)
* Fix the hashDerivationModulo test. I should really investigate
*why* the test failed...
Diffstat (limited to 'tests/simple.sh')
-rw-r--r--tests/simple.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/simple.sh b/tests/simple.sh
index 25dd57e03..4f9f6e964 100644
--- a/tests/simple.sh
+++ b/tests/simple.sh
@@ -18,6 +18,8 @@ if test "$text" != "Hello World!"; then exit 1; fi
$nixstore --delete $outPath
if test -e $outPath/hello; then false; fi
-if test "$(NIX_STORE_DIR=/foo $nixinstantiate --readonly-mode hash-check.nix)" != "/foo/bbfambd3ksry4ylik1772pn2qyw1k296-dependencies.drv"; then
- echo "hashDerivationModulo appears broken"
+outPath="$(NIX_STORE_DIR=/foo $nixinstantiate --readonly-mode hash-check.nix)"
+if test "$outPath" != "/foo/lfy1s6ca46rm5r6w4gg9hc0axiakjcnm-dependencies.drv"; then
+ echo "hashDerivationModulo appears broken, got $outPath"
+ exit 1
fi